# Module `Checkbox`

Druid checkbox component

## Functions

init(self, node, callback[, click_node=node]) | Component init function
set_state(self, state, is_silent) | Set checkbox state
get_state(self) | Return checkbox state

## Tables

style | Component style params.

## Fields

on_change_state | On change state callback(self, state)
node | Visual node
click_node | Button trigger node

## Functions

init(self, node, callback[, click_node=node])
  Component init function

  ### Parameters:

  - self Checkbox
  - node node Gui node
  - callback function Checkbox callback
  - click_node node Trigger node, by default equals to node (default node)
set_state(self, state, is_silent)
  Set checkbox state

  ### Parameters:

  - self Checkbox
  - state bool Checkbox state
  - is_silent bool Don't trigger on_change_state if true
get_state(self)
  Return checkbox state

  ### Parameters:

  - self Checkbox

  ### Returns:

  bool Checkbox state

## Tables

style
  Component style params. You can override this component styles params in druid styles table or create your own style

  ### Fields:

  - on_change_state function (self, node, state)

## Fields

on_change_state
  On change state callback(self, state)
  - on_change_state druid_event
node
  Visual node
  - node node
click_node
  Button trigger node
  - click_node node (default node)

generated by LDoc 1.4.6 Last updated 2020-10-12 00:44:30